rollup-babel
Rollup optimised for babel users
Last updated 4 years ago by rich_harris .
Original npm · Tarball · package.json
$ cnpm install rollup-babel 
SYNC missed versions from official npm registry.

rollup-babel

This project has been deprecated – please use rollup-plugin-babel instead


What?

A Rollup-Babel integration.

Why?

Using Rollup then using Babel slows down development, because Babel is much quicker dealing with small files than large bundles. But using Babel then Rollup often means you include helpers (e.g. classCallCheck) multiple times.

Another problem: if you have external modules with a jsnext:main field, Rollup doesn't know that it needs to run them through Babel.

This is an attempt to provide the best of both worlds – really fast transpilation, with really high-quality bundling. (Also, because Rollup doesn't include what it doesn't need, you often end up running much less code through Babel in the first place.)

Usage

Just like you'd use Rollup normally, except that the package name is rollup-babel. On the command line, use rollupbabel.

Rough edges

  • There's no caching mechanism. We need that for fast incremental rebuilds (i.e. all files are transpiled with Babel each time, whether they've changed or not)
  • No CLI
  • We're reimplementing a lot of stuff here. Rollup needs better hooks for module resolution, transformation, and manipulating the bundle (i.e. adding helpers)
  • Sourcemaps are not currently supported, because we're doing crude string manipulation and the map generated by Babel is discarded

License

MIT

Current Tags

  • 0.6.3                                ...           latest (4 years ago)

16 Versions

  • 0.6.3                                ...           4 years ago
  • 0.6.2 [deprecated]           ...           4 years ago
  • 0.6.1 [deprecated]           ...           4 years ago
  • 0.6.0 [deprecated]           ...           4 years ago
  • 0.5.2 [deprecated]           ...           4 years ago
  • 0.5.1 [deprecated]           ...           4 years ago
  • 0.5.0 [deprecated]           ...           4 years ago
  • 0.4.0 [deprecated]           ...           4 years ago
  • 0.3.0 [deprecated]           ...           4 years ago
  • 0.2.0 [deprecated]           ...           4 years ago
  • 0.1.5 [deprecated]           ...           4 years ago
  • 0.1.4 [deprecated]           ...           4 years ago
  • 0.1.3 [deprecated]           ...           4 years ago
  • 0.1.2 [deprecated]           ...           4 years ago
  • 0.1.1 [deprecated]           ...           4 years ago
  • 0.1.0 [deprecated]           ...           4 years ago
Maintainers (1)
Downloads
Today 16
This Week 16
This Month 32
Last Day 0
Last Week 0
Last Month 2
Dependencies (6)
Dev Dependencies (1)

Copyright 2014 - 2017 © taobao.org |